#!/bin/sh
# 
# copy_context.sh
#
# (c) Stephan Holl <stephan.holl@intevation.de>, 2008
#


# Variables:
SOURCE=$1
TARGET=$2

BASEDIR=/opt/gispatcher/owsproxy/webapps
APACHEDIR=/etc/apache2/gispatcher.d

# Functions:
usage() {
	echo "

This script copys a given Tomcat-webapps-context of owsproxy to another context.

USAGE:
	$0 <sourcename> <targetname>
for example:
	$0 owsproxy newowsproxy

"
}

configure_files () {
	echo "
The following files need to be adjusted:

${BASEDIR}/${TARGET}/WEB-INF/web.xml
${BASEDIR}/${TARGET}/WEB-INF/conf/security/wmspolicy.xml
${BASEDIR}/${TARGET}/WEB-INF/conf/security/wfspolicy.xml
${BASEDIR}/${TARGET}/WEB-INF/classes/log4j.properties (logfile-name)


Also the following apache-file need to be updated:
${APACHEDIR}/${TARGET}.conf.gp

If your configuration is configured, restart the services:

    /etc/init.d/apache2 restart
    /etc/init.d/owsproxy restart

"
}

# Are we root?
if [ $UID -ne 0 ] ; then
    echo "
    $0 must be run as root
    "
    exit 1
fi

# enough arguments?
if [ $# -ne 2 ] ; then
    usage
    exit 1
fi


# Main code
echo "Copy ${BASEDIR}/${SOURCE} to ${BASEDIR}/${TARGET}..."
cp -rp ${BASEDIR}/${SOURCE} ${BASEDIR}/${TARGET}

echo "done."

echo "Copy ${APACHEDIR}/${SOURCE}.conf.gp to ${APACHEDIR}/${TARGET}.conf.gp..."
cp -p ${APACHEDIR}/${SOURCE}.conf.gp ${APACHEDIR}/${TARGET}.conf.gp

echo "done."
configure_files

